Security Enhanced Linux Reference Policy

# Layer: services

## Module: aptcacher

Interfaces

### Description:

apt-cacher, cache for Debian APT repositories.

### Interfaces:

aptcacher_domtrans_acngtool( domain )

##### Summary

Execute acngtool in the acngtool domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

aptcacher_etc_filetrans_conf_dir( domain )

##### Summary

create /etc/apt-cacher-ng

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

aptcacher_filetrans_cache_dir( domain )

##### Summary

create /var/cache/apt-cacher-ng

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

aptcacher_filetrans_log_dir( domain )

##### Summary

create /var/log/apt-cacher-ng

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

aptcacher_run_acngtool( domain , role )

##### Summary

Execute acngtool in the acngtool domain, and allow the specified role the acngtool domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

aptcacher_stream_connect( domain )

##### Summary

Connect to aptcacher using a unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return